"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class LoggingApiService {
    constructor(iamService, loggingRepository) {
        this._iamService = iamService;
        this._loggingRepository = loggingRepository;
    }
    get iamService() {
        return this._iamService;
    }
    get loggingRepository() {
        return this._loggingRepository;
    }
    async readLogForProcessModel(identity, processModelId) {
        return this.loggingRepository.readLogForProcessModel(processModelId);
    }
    async readLogForProcessInstance(identity, processModelId, processInstanceId) {
        return this.loggingRepository.readLogForProcessInstance(processModelId, processInstanceId);
    }
    async writeLogForProcessModel(correlationId, processModelId, processInstanceId, logLevel, message, timestamp) {
        await this
            .loggingRepository
            .writeLogForProcessModel(correlationId, processModelId, processInstanceId, logLevel, message, timestamp);
    }
    async writeLogForFlowNode(correlationId, processModelId, processInstanceId, flowNodeInstanceId, flowNodeId, logLevel, message, timestamp) {
        await this
            .loggingRepository
            .writeLogForFlowNode(correlationId, processModelId, processInstanceId, flowNodeInstanceId, flowNodeId, logLevel, message, timestamp);
    }
}
exports.LoggingApiService = LoggingApiService;

//# sourceMappingURL=logging_api_service.js.map
